package sun.rmi.server;

import java.rmi.activation.ActivationGroupDesc;
import java.rmi.activation.UnknownObjectException;
import java.rmi.activation.ActivationDesc;
import java.rmi.activation.ActivationID;
import java.rmi.activation.UnknownGroupException;
import java.rmi.UnexpectedException;
import java.rmi.activation.ActivationException;
import java.rmi.RemoteException;
import java.rmi.activation.ActivationMonitor;
import java.rmi.activation.ActivationInstantiator;
import java.rmi.activation.ActivationGroupID;
import java.rmi.server.RemoteRef;
import java.lang.reflect.Method;
import java.rmi.Remote;
import java.rmi.activation.ActivationSystem;
import java.rmi.server.RemoteStub;

public final class Activation$ActivationSystemImpl_Stub extends RemoteStub implements ActivationSystem, Remote
{
    private static final long serialVersionUID = 2L;
    private static Method $method_activeGroup_0;
    private static Method $method_getActivationDesc_1;
    private static Method $method_getActivationGroupDesc_2;
    private static Method $method_registerGroup_3;
    private static Method $method_registerObject_4;
    private static Method $method_setActivationDesc_5;
    private static Method $method_setActivationGroupDesc_6;
    private static Method $method_shutdown_7;
    private static Method $method_unregisterGroup_8;
    private static Method $method_unregisterObject_9;
    static /* synthetic */ Class class$java$rmi$activation$ActivationSystem;
    static /* synthetic */ Class class$java$rmi$activation$ActivationGroupID;
    static /* synthetic */ Class class$java$rmi$activation$ActivationInstantiator;
    static /* synthetic */ Class class$java$rmi$activation$ActivationID;
    static /* synthetic */ Class class$java$rmi$activation$ActivationGroupDesc;
    static /* synthetic */ Class class$java$rmi$activation$ActivationDesc;
    
    static {
        try {
            $method_activeGroup_0 = ((class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"))).getMethod("activeGroup", new Class[] { (class$java$rmi$activation$ActivationGroupID != null) ? class$java$rmi$activation$ActivationGroupID : (class$java$rmi$activation$ActivationGroupID = class$("java.rmi.activation.ActivationGroupID")), (class$java$rmi$activation$ActivationInstantiator != null) ? class$java$rmi$activation$ActivationInstantiator : (class$java$rmi$activation$ActivationInstantiator = class$("java.rmi.activation.ActivationInstantiator")), Long.TYPE });
            Class<Object> clazz = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name = "getActivationDesc";
            Class[] parameterTypes = { null };
            parameterTypes[0] = ((class$java$rmi$activation$ActivationID != null) ? class$java$rmi$activation$ActivationID : (class$java$rmi$activation$ActivationID = class$("java.rmi.activation.ActivationID")));
            $method_getActivationDesc_1 = clazz.getMethod(name, parameterTypes);
            Class<Object> clazz2 = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name2 = "getActivationGroupDesc";
            Class[] parameterTypes2 = { null };
            parameterTypes2[0] = ((class$java$rmi$activation$ActivationGroupID != null) ? class$java$rmi$activation$ActivationGroupID : (class$java$rmi$activation$ActivationGroupID = class$("java.rmi.activation.ActivationGroupID")));
            $method_getActivationGroupDesc_2 = clazz2.getMethod(name2, parameterTypes2);
            Class<Object> clazz3 = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name3 = "registerGroup";
            Class[] parameterTypes3 = { null };
            parameterTypes3[0] = ((class$java$rmi$activation$ActivationGroupDesc != null) ? class$java$rmi$activation$ActivationGroupDesc : (class$java$rmi$activation$ActivationGroupDesc = class$("java.rmi.activation.ActivationGroupDesc")));
            $method_registerGroup_3 = clazz3.getMethod(name3, parameterTypes3);
            Class<Object> clazz4 = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name4 = "registerObject";
            Class[] parameterTypes4 = { null };
            parameterTypes4[0] = ((class$java$rmi$activation$ActivationDesc != null) ? class$java$rmi$activation$ActivationDesc : (class$java$rmi$activation$ActivationDesc = class$("java.rmi.activation.ActivationDesc")));
            $method_registerObject_4 = clazz4.getMethod(name4, parameterTypes4);
            $method_setActivationDesc_5 = ((class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"))).getMethod("setActivationDesc", new Class[] { (class$java$rmi$activation$ActivationID != null) ? class$java$rmi$activation$ActivationID : (class$java$rmi$activation$ActivationID = class$("java.rmi.activation.ActivationID")), (class$java$rmi$activation$ActivationDesc != null) ? class$java$rmi$activation$ActivationDesc : (class$java$rmi$activation$ActivationDesc = class$("java.rmi.activation.ActivationDesc")) });
            $method_setActivationGroupDesc_6 = ((class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"))).getMethod("setActivationGroupDesc", new Class[] { (class$java$rmi$activation$ActivationGroupID != null) ? class$java$rmi$activation$ActivationGroupID : (class$java$rmi$activation$ActivationGroupID = class$("java.rmi.activation.ActivationGroupID")), (class$java$rmi$activation$ActivationGroupDesc != null) ? class$java$rmi$activation$ActivationGroupDesc : (class$java$rmi$activation$ActivationGroupDesc = class$("java.rmi.activation.ActivationGroupDesc")) });
            $method_shutdown_7 = ((class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"))).getMethod("shutdown", new Class[0]);
            Class<Object> clazz5 = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name5 = "unregisterGroup";
            Class[] parameterTypes5 = { null };
            parameterTypes5[0] = ((class$java$rmi$activation$ActivationGroupID != null) ? class$java$rmi$activation$ActivationGroupID : (class$java$rmi$activation$ActivationGroupID = class$("java.rmi.activation.ActivationGroupID")));
            $method_unregisterGroup_8 = clazz5.getMethod(name5, parameterTypes5);
            Class<Object> clazz6 = (class$java$rmi$activation$ActivationSystem != null) ? class$java$rmi$activation$ActivationSystem : (class$java$rmi$activation$ActivationSystem = class$("java.rmi.activation.ActivationSystem"));
            String name6 = "unregisterObject";
            Class[] parameterTypes6 = { null };
            parameterTypes6[0] = ((class$java$rmi$activation$ActivationID != null) ? class$java$rmi$activation$ActivationID : (class$java$rmi$activation$ActivationID = class$("java.rmi.activation.ActivationID")));
            $method_unregisterObject_9 = clazz6.getMethod(name6, parameterTypes6);
        }
        catch (NoSuchMethodException ex) {
            throw new NoSuchMethodError("stub class initialization failed");
        }
    }
    
    public Activation$ActivationSystemImpl_Stub(RemoteRef ref) {
        super(ref);
    }
    
    public ActivationMonitor activeGroup(ActivationGroupID activationGroupID, ActivationInstantiator activationInstantiator, long value) throws RemoteException, ActivationException, UnknownGroupException {
        try {
            return (ActivationMonitor)super.ref.invoke(this, $method_activeGroup_0, new Object[] { activationGroupID, activationInstantiator, new Long(value) }, -4575843150759415294L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    static /* synthetic */ Class class$(String className) {
        try {
            return Class.forName(className);
        }
        catch (ClassNotFoundException ex) {
            throw new NoClassDefFoundError(ex.getMessage());
        }
    }
    
    public ActivationDesc getActivationDesc(ActivationID activationID) throws RemoteException, ActivationException, UnknownObjectException {
        try {
            return (ActivationDesc)super.ref.invoke(this, $method_getActivationDesc_1, new Object[] { activationID }, 4830055440982622087L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public ActivationGroupDesc getActivationGroupDesc(ActivationGroupID activationGroupID) throws RemoteException, ActivationException, UnknownGroupException {
        try {
            return (ActivationGroupDesc)super.ref.invoke(this, $method_getActivationGroupDesc_2, new Object[] { activationGroupID }, -8701843806548736528L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public ActivationGroupID registerGroup(ActivationGroupDesc activationGroupDesc) throws RemoteException, ActivationException {
        try {
            return (ActivationGroupID)super.ref.invoke(this, $method_registerGroup_3, new Object[] { activationGroupDesc }, 6921515268192657754L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public ActivationID registerObject(ActivationDesc activationDesc) throws RemoteException, ActivationException, UnknownGroupException {
        try {
            return (ActivationID)super.ref.invoke(this, $method_registerObject_4, new Object[] { activationDesc }, -3006759798994351347L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public ActivationDesc setActivationDesc(ActivationID activationID, ActivationDesc activationDesc) throws RemoteException, ActivationException, UnknownGroupException, UnknownObjectException {
        try {
            return (ActivationDesc)super.ref.invoke(this, $method_setActivationDesc_5, new Object[] { activationID, activationDesc }, 7128043237057180796L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public ActivationGroupDesc setActivationGroupDesc(ActivationGroupID activationGroupID, ActivationGroupDesc activationGroupDesc) throws RemoteException, ActivationException, UnknownGroupException {
        try {
            return (ActivationGroupDesc)super.ref.invoke(this, $method_setActivationGroupDesc_6, new Object[] { activationGroupID, activationGroupDesc }, 1213918527826541191L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public void shutdown() throws RemoteException {
        try {
            super.ref.invoke(this, $method_shutdown_7, null, -7207851917985848402L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (Exception ex3) {
            throw new UnexpectedException("undeclared checked exception", ex3);
        }
    }
    
    public void unregisterGroup(ActivationGroupID activationGroupID) throws RemoteException, ActivationException, UnknownGroupException {
        try {
            super.ref.invoke(this, $method_unregisterGroup_8, new Object[] { activationGroupID }, 3768097077835970701L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
    
    public void unregisterObject(ActivationID activationID) throws RemoteException, ActivationException, UnknownObjectException {
        try {
            super.ref.invoke(this, $method_unregisterObject_9, new Object[] { activationID }, -6843850585331411084L);
        }
        catch (RuntimeException ex) {
            throw ex;
        }
        catch (RemoteException ex2) {
            throw ex2;
        }
        catch (ActivationException ex3) {
            throw ex3;
        }
        catch (Exception ex4) {
            throw new UnexpectedException("undeclared checked exception", ex4);
        }
    }
}
